Solved Second time in a year APN Certificate expired

Discussion in 'iOS' started by azarett, Oct 29, 2017.

Thread Status:
Not open for further replies.
  1. azarett

    Joined:
    Aug 24, 2012
    Messages:
    6
    Likes Received:
    1
    Shortly after installing v15, Apple PUSH notifications started to fail for a customers all-mobile support center. Wasted a lot of time and effort that morning trying to diagnose, and then quickly applying updates.

    Same thing yesterday, Certificate expired again.
    Im not into software dev, so I dont know what much about APN, but I know I can get an SSL cert good for years.

    Is there a 1 year limit from Apple on this ? Should I expect this to happen every year ?
     
  2. Vali_3CX

    Vali_3CX Well-Known Member
    Staff Member 3CX Support

    Joined:
    Dec 12, 2008
    Messages:
    1,502
    Likes Received:
    68
    Yes, Apple certificates - including the APNS - has one-year validity only (I don't know what the reason is) and we have to renew it accordingly, every one year. On PBX, customer side, we distribute the renewed one via a (silent) PBX update. We will check tomorrow about this and we'll keep you informed.
    Sorry for inconvenience.
    vali
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Sopock

    Sopock Member

    Joined:
    Jul 11, 2012
    Messages:
    447
    Likes Received:
    20
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. NickD_3CX

    NickD_3CX Support Team
    Staff Member 3CX Support

    Joined:
    Jun 2, 2014
    Messages:
    1,367
    Likes Received:
    83
    Yes, the certificates that Apple issues have a 1 year validity, probably because the membership is also renewed annually. We usually try to release the updated/renewed certificate as a 3CX update at least 30 days prior to it expiring.

    We have explored this as an option quite a while ago. While it is not out of the question moving forward, the implementation of this is not as easy as it may sound as there are many things to consider, so for the time being it will stay as is with the certificate.
     
  5. Sopock

    Sopock Member

    Joined:
    Jul 11, 2012
    Messages:
    447
    Likes Received:
    20
    But note that obviously some installs run as set it and forget it. So they will not timely upgrade(literally zero admin).

    Perhaps new method should be used only in standard edition as incentive to upgrade?
    I'm sure that one those things that probably .p8 file should not be accessed from disk. Instead after each restart PBX will remotely ask for contents of file which will be stored in variable. It will use same token if it is not over 1 hour old.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  6. Dymaxion

    Joined:
    Feb 4, 2016
    Messages:
    4
    Likes Received:
    0
    Hi is there any update where we can get the valid certificate? We are running on v14 still so I need to manually put the cert back in. We need this asap.

    Thanks.
    Lloyd
     
  7. Marios Neophytou

    Marios Neophytou Support Team

    Joined:
    Mar 1, 2016
    Messages:
    258
    Likes Received:
    13
    Hello,

    Unfortunately v14 is no longer supported. In order to have Push working you need to move to V15 or V15.5 as the new update for Push Cert is only for V15 and V15.5.

    Thank you
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  8. Murat_Cakir

    Joined:
    Nov 3, 2017
    Messages:
    5
    Likes Received:
    0
    Where can we find the v15 certificate ?
     
  9. Murat_Cakir

    Joined:
    Nov 3, 2017
    Messages:
    5
    Likes Received:
    0
    Hello.
    The push services of our apple phones are not working. We need to do it ?
     
  10. Marios Neophytou

    Marios Neophytou Support Team

    Joined:
    Mar 1, 2016
    Messages:
    258
    Likes Received:
    13
    Hello,

    Just to make my self clear.
    3CXPhone system version 14 is not longer supported by 3CX - i.e. no latest updates in general.
    In order to have the latest updates you must update to V15 or V15.5 . If you need further instruction on how to do so, then please contact 3CX support.

    Thank you
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  11. Murat_Cakir

    Joined:
    Nov 3, 2017
    Messages:
    5
    Likes Received:
    0
    I solved the problem .Thanks
     
Thread Status:
Not open for further replies.